GGATEL(8)

NAME
ggatel - GEOM Gate local control utility

SYNOPSIS
ggatel create [-v] [-o ro | wo | rw] [-q queue_size] [-s sectorsize] [-t timeout] [-u unit] path
ggatel attach [-v] [-o ro | wo | rw] -u unit path
ggatel destroy [-f] -u unit
ggatel list [-v] [-u unit]

DESCRIPTION
The ggatel utility is a local GEOM Gate class consumer. It can be used as a replacement for md(4) devices or as a “GEOMificator” for non GEOM-aware devices, but it was mainly created as an example on how to use and how to communicate with the GEOM Gate kernel module.

Available commands:

create
    Create a ggate provider related to the given regular file or device.

attach
    Attach a worker process to an existing ggate provider.

destroy
    Destroy the given ggate provider.

list
    List ggate providers.

Available options:

-f  Forcibly destroy ggate provider (cancels all pending requests).

-o ro | wo | rw
    Specify permission to use when opening the file or device: read-only (ro), write-only (wo), or read-write (rw). Default is rw.

-q queue_size
    Number of pending I/O requests that can be queued before they will start to be canceled. Default is 1024.

-s sectorsize
    Sector size for ggate provider. If not specified, it is taken from device, or set to 512 bytes for files.

-t timeout
    Number of seconds to wait before an I/O request will be canceled. 0 means no timeout. Default is 30.

-u unit
    Unit number to use.

-v  Do not fork, run in foreground and print debug informations on standard output.

path
    Path to a regular file or device.

EXIT STATUS
Exit status is 0 on success, or 1 if the command fails. To get details about the failure, ggatel should be called with the -v option.

EXAMPLES
“GEOMify” the “fd0” device and use gbde(8) to encrypt data on a floppy.

    ggatel create -u 5 /dev/fd0
    gbde init /dev/ggate5
    gbde attach ggate5
    newfs /dev/ggate5.bde
    mount /dev/ggate5.bde /secret
    cp /private/foo /secret/
    umount /secret
    gbde detach ggate5
    ggatel destroy -u 5

SEE ALSO
geom(4), gbde(8), ggatec(8), ggated(8), mount(8), newfs(8)

AUTHORS
The ggatel utility as well as this manual page was written by Pawel Jakub Dawidek <pjd@FreeBSD.org>.